Name:           impressive
Version:        0.11.1
Release:        4%{?dist}
Summary:        A program that displays presentation slides

Group:          Applications/Productivity
License:        GPLv2
URL:            http://impressive.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/Impressive-%{version}.tar.gz
# Wrapper script for making sure hardware acceleration is available
Source1:        %{name}.sh
Patch1:         impressive-0.11.1-mudraw-1.7.patch
Patch2:         impressive-0.11.1-mutool-info.patch
 
BuildArch:      noarch
BuildRequires:  python-devel
# The following requires are not picked up by rpm:
# - imported modules (required):
Requires:       python-imaging
Requires:       pygame
Requires:       PyOpenGL
Requires:       opengl-games-utils
# - external tools for displaying and parsing pdf (required):
Requires:       poppler-utils
Requires:       mupdf
# - external tool for acting on links (strongly recommended):
Requires:       xdg-utils
# - font for on screen display (recommended):
Requires:       dejavu-sans-fonts


%description
Impressive is a program that displays presentation slides. But unlike 
OpenOffice.org Impress or other similar applications, it does so with 
style. 

Smooth alpha-blended slide transitions are provided for the sake 
of eye candy, but in addition to this, Impressive offers some unique tools 
that are really useful for presentations.


%prep
%setup -q -n Impressive-%{version}

# adjust to current mudraw option syntax
%patch1
# use mutool for info parsing
%patch2

%build
sed -e "s|@PYTHON_SITELIB@|%{python_sitelib}|" %{SOURCE1} > impressive.sh
# This package doesn't build anything, just copy files under build root.


%install
rm -rf %{buildroot}
install -D -p -m 755 impressive.py %{buildroot}%{python_sitelib}/impressive.py
install -D -p -m 644 impressive.1 %{buildroot}%{_mandir}/man1/impressive.1
install -D -p -m 755 impressive.sh %{buildroot}%{_bindir}/impressive


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc changelog.txt demo.pdf impressive.html license.txt
%{_bindir}/impressive
%{python_sitelib}/impressive.py*
%{_mandir}/man1/impressive.1*

%changelog
* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11.1-4
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Nov 21 2015 Michael J Gruber <mjg@fedoraproject.org> - 0.11.1-2
- adjust to current mudraw option syntax
- use mutool for info parsing

* Sat Nov 21 2015 Michael J Gruber <mjg@fedoraproject.org> - 0.11.1-1
- sync with upstream
- fix changelog typos

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Mar 11 2014 Michael J Gruber <mjg@fedoraproject.org> - 0.10.4-3
- temporarily remove R pdftk

* Thu Jan 02 2014 Michael J Gruber <mjg@fedoraproject.org> - 0.10.4-2
- upate requires as recommended by upstream

* Thu Jan 02 2014 Michael J Gruber <mjg@fedoraproject.org> - 0.10.4-1
- sync with upstream
- drop pillow compatibility patch (upstreamed)
- drop backported PDF parser fix (upstreamed)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.3-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.3-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Jan 15 2013 Michael J Gruber <mjg@fedoraproject.org> - 0.10.3-10
- pillow compatibility (bug 895270, patch by Toshio Ernie Kuratomi)

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Nov 28 2011 Michael J Gruber <mjg@fedoraproject.org> - 0.10.3-7
- backport PDF parser fix

* Mon May 02 2011 Michael J Gruber <mjg@fedoraproject.org> - 0.10.3-6
- EPEL has no pdftk (recommended but optional requirement)

* Fri Mar 11 2011 Michael J Gruber <mjg@fedoraproject.org> - 0.10.3-5
- Clarify explicit requires.
- Add pdftk as requirement.

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Dec 05 2010 Michael J Gruber <mjg@fedoraproject.org> - 0.10.3-3
- spec file cleanup.

* Sun Dec 05 2010 Michael J Gruber <mjg@fedoraproject.org> - 0.10.3-2
- Make summary less flashy.
- Install main program in sitelib.
- BR python-devel.

* Fri Dec 03 2010 Michael J Gruber <mjg@fedoraproject.org> - 0.10.3-1
- Sync with upstream.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 19 2009 Allisson Azevedo <allisson@gmail.com> 0.10.2-6
- Added provides keyjnote.

* Mon Feb 16 2009 Allisson Azevedo <allisson@gmail.com> 0.10.2-5
- Obsolete keyjnote.

* Mon Feb 16 2009 Allisson Azevedo <allisson@gmail.com> 0.10.2-4
- Fix requires for dejavu fonts.

* Thu Feb 12 2009 Allisson Azevedo <allisson@gmail.com> 0.10.2-3
- Added OpenGL wrapper.
- Fix requires for dejavu fonts.

* Thu Feb 12 2009 Allisson Azevedo <allisson@gmail.com> 0.10.2-2
- Changed license.
- Added dejavu-fonts to requires.
- Added build section.

* Mon Feb  9 2009 Allisson Azevedo <allisson@gmail.com> 0.10.2-1
- Initial RPM release
